import Http from "@/utils/http";
// 投票, 数据列表 - 列表
export const getListHttp = params => {
    return Http.post("/api/lists", params)
}

// 详情数据 - 投票详情
export const detailsHttp = query => {
    return Http.post("/api/details", query)
}

// 详情数据 - 获取评论数据
export const commentListHttp = params => {
    return Http.post("/api/comment/lists", params)
}

// 评论相关 - 评论点赞
export const detailsLikeCommentHttp = query => {
    return Http.post("/api/comment/like", query)
}

// 详情数据 - 获取子评论数据
export const detailsChildCommentListHttp = query => {
    return Http.post("/api/comment/childrenList", query)
}

// 详情数据 - 提交评论
export const detailsSubmitommentListHttp = query => {
    return Http.post("/api/comment/submit", query)
}

// 发布相关 - 发布问题初始化,编辑
export const publishInitHttp = query => {
    return Http.post("/api/publish", query)
}

// 发布相关 - 提交
export const publishSubmitHttp = query => {
    return Http.post("/api/publish/submit", query)
}


// 操作-点赞
export const operateLikeHttp = query => {
    return Http.post("/api/operate/like", query)
}

// 数据操作 - 收藏
export const operateCollectHttp = query => {
    return Http.post("/api/operate/collect", query)
}